<?php

/* -------------------------------------------------------
 *
 *   LiveStreet (v1.x)
 *   Plugin Pre-moderation topics (v.0.1)
 *   Copyright В© 2011 Bishovec Nikolay
 *
 * --------------------------------------------------------
 *
 *   Plugin Page: http://netlanc.net
 *   Contact e-mail: netlanc@yandex.ru
 *
  ---------------------------------------------------------
 */

class PluginPmt_HookPmt extends Hook
{

    public function RegisterHook()
    {
        $this->AddHook('topic_add_after', 'TopicAddAfter', __CLASS__);
        $this->AddHook('topic_edit_after', 'TopicEditAfter', __CLASS__);
        $this->AddHook('template_menu_blog', 'MenuBlog', __CLASS__);
    }

    public function TopicAddAfter($aVars)
    {
        $iModeretion = 0;
        if (!$this->isAcl()){
            $iModeretion = 1;
        }
        $oTopic = $aVars['oTopic'];
        if ($oTopic->getPublish()){
            $oTopic->setModeration($iModeretion);
            $this->Topic_UpdateTopicModeration($oTopic);
        }
    }

    public function TopicEditAfter($aVars)
    {
        $iModeretion = 0;
        if (!$this->isAcl()){
            $iModeretion = 1;
        }
        $oTopic = $aVars['oTopic'];
        if ($oTopic->getPublish()){
            $oTopic->setModeration($iModeretion);
            $this->Topic_UpdateTopicModeration($oTopic);
        }
    }

    public function MenuBlog()
    {
        if ($this->isAcl()){
            return ;
        }
        return $this->Viewer_Fetch(Plugin::GetTemplatePath('pmt') . 'menu_blog.tpl');
    }

    public function isAcl()
    {
        $oUserCurrent = $this->User_GetUserCurrent();
        $aUsersAllow = Config::Get('plugin.pmt.users_allow');
        if ($oUserCurrent and !$oUserCurrent->isAdministrator() and !in_array($oUserCurrent->getLogin(), $aUsersAllow)) {
            return true;
        }
        return false;
    }

}

?>
