<?php

/* -------------------------------------------------------
 *
 *   LiveStreet (v1.x)
 *   Plugin Pre-moderation topics (v.0.1)
 *   Copyright В© 2011 Bishovec Nikolay
 *
 * --------------------------------------------------------
 *
 *   Plugin Page: http://netlanc.net
 *   Contact e-mail: netlanc@yandex.ru
 *
  ---------------------------------------------------------
 */

class PluginPmt_ModuleTopic extends PluginPmt_Inherit_ModuleTopic
{

    public function Init()
    {
        parent::Init();
    }

    public function GetTopicsModeration($iPage,$iPerPage)
    {
		$aFilter=array(
			'blog_type' => array(
				'personal',
				'open',
			),
			'moderation' => 0,
		);	
		return $this->Topic_GetTopicsByFilter($aFilter,$iPage,$iPerPage);
    }
    public function GetCountTopicModeration()
    {
        $aFilter = array(
            'blog_type' => array(
                'personal',
                'open',
            ),
            'moderation' => 0,
        );

        return $this->Topic_GetCountTopicsByFilter($aFilter);
    }
    public function UpdateTopicModeration(ModuleTopic_EntityTopic $oTopic)
    {
        $oTopic->setDateEdit(date('Y-m-d H:i:s'));
        if ($this->oMapperTopic->UpdateTopicModeration($oTopic)) {

            //чистим зависимые кеши
            $this->Cache_Clean(Zend_Cache::CLEANING_MODE_MATCHING_TAG, array('topic_update', "topic_update_user_{$oTopic->getUserId()}"));
            $this->Cache_Delete("topic_{$oTopic->getId()}");
            return true;
        }
        return false;
    }
}

?>
