<?php

/* -------------------------------------------------------
 *
 *   LiveStreet (v1.x)
 *   Plugin Pre-moderation topics (v.0.1)
 *   Copyright В© 2011 Bishovec Nikolay
 *
 * --------------------------------------------------------
 *
 *   Plugin Page: http://netlanc.net
 *   Contact e-mail: netlanc@yandex.ru
 *
  ---------------------------------------------------------
 */

class PluginPmt_ModuleTopic_MapperTopic extends PluginPmt_Inherit_ModuleTopic_MapperTopic
{

    protected function buildFilter($aFilter)
    {
        $sWhere = parent::buildFilter($aFilter);
        if (isset($aFilter['moderation'])) {
            $sWhere .= " AND t.topic_moderation =  " . (int)$aFilter['moderation'];
        } else {
            $sWhere .= " AND t.topic_moderation =  1";
        }
        return $sWhere;
    }

    public function UpdateTopicModeration(ModuleTopic_EntityTopic $oTopic)
    {
        $sql = "UPDATE " . Config::Get('db.table.topic') . "
			SET
				topic_moderation = ?d
			WHERE
				topic_id = ?d
		";
        if ($this->oDb->query($sql, $oTopic->getModeration(), $oTopic->getId())) {
            return true;
        }
        return false;
    }
}

?>
