<?php
/* -------------------------------------------------------
 *
 *   LiveStreet (v1.x)
 *   Plugin Pre-moderation topics (v.0.1)
 *   Copyright В© 2011 Bishovec Nikolay
 *
 * --------------------------------------------------------
 *
 *   Plugin Page: http://netlanc.net
 *   Contact e-mail: netlanc@yandex.ru
 *
  ---------------------------------------------------------
 */

if (!class_exists('Plugin')) {
    die('Hacking attempt!');
}

class PluginPmt extends Plugin
{
    public $aInherits = array(
        'action' => array('ActionBlog','ActionIndex','ActionPersonalBlog','ActionUserfeed'),
        'module' => array('ModuleACL', 'ModuleTopic'),
        'entity' => array('ModuleTopic_EntityTopic'),
        'mapper' => array('ModuleTopic_MapperTopic' => '_ModuleTopic_MapperTopic'),
    );

    public function Activate()
    {
        if (!$this->isFieldExists('prefix_topic', 'topic_moderation')) {
            $this->ExportSQL(dirname(__FILE__) . '/dump.sql');
        }
        return true;
    }

    public function Init()
    {
        $this->Viewer_Assign('sTPPmt', rtrim(Plugin::GetTemplatePath('pmt'), '/'));
        $this->Viewer_Assign('sTWPmt', rtrim(Plugin::GetTemplateWebPath('pmt'), '/'));
    }

}

?>